﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DependencyPropertiesDemo
{
    /// <summary>
    /// Interaction logic for AddPresenceDialog.xaml
    /// </summary>
    public partial class AddPresenceDialog : Window
    {

        public Presence presence { get; set; }

        public DateTime DateTimeProperty
        {
            get { return (DateTime)GetValue(DateTimePropertyProperty); }
            set { SetValue(DateTimePropertyProperty, value); }
        }

        // Using a DependencyProperty as the backing store for DateTimeProperty.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty DateTimePropertyProperty =
            DependencyProperty.Register("DateTimeProperty", typeof(DateTime), typeof(AddPresenceDialog), new PropertyMetadata(DateTime.Now, DateTimePropertyChanged));

        private static void DateTimePropertyChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            AddPresenceDialog dialog = (AddPresenceDialog)d;
            dialog.ToPicker.DisplayDateStart = dialog.FromPicker.SelectedDate;
        }

        public AddPresenceDialog()
        {
            InitializeComponent();
            presence = new Presence();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            presence.From = (DateTime)FromPicker.SelectedDate;
            presence.To = (DateTime)ToPicker.SelectedDate;
            DialogResult = true;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

        private void FromPicker_SelectedDateChanged(object sender, SelectionChangedEventArgs e)
        {
            if (FromPicker.SelectedDate != null)
            {
                DateTimeProperty = (DateTime)FromPicker.SelectedDate;
            }
        }
    }
}
