﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DependencyPropertiesDemo
{
    public class DataFormatException: Exception
    {
        public DataFormatException(string message):base(message)
        {
            
        }

        public DataFormatException(String message,Exception cause):base(message, cause)
        {

        }
    }

    public class Presence
    {
        public DateTime From { get; set; }
        public DateTime To { get; set; }

        public Presence()
        {
            From = DateTime.MinValue;
            To = DateTime.MaxValue;
        }

        public Presence(String line)
        {
            string[] parts = line.Split(';');
            if (parts.Length != 2)
            {
                throw new DataFormatException("Invalid file format");
            }
            try
            {
                From = DateTime.Parse(parts[0]);
                To = DateTime.Parse(parts[0]);
            }
            catch (Exception ex)
            {
                throw new DataFormatException("Unable to parse date or time.", ex);
            }
        }

        public override string ToString()
        {
            return string.Format("{0} - {1}",From,To);
        }

        public string CSVFormat()
        {
            return string.Format("{0};{1}", From, To);
        }
    }
}
